<?php

if ($_GET["action"]=="addok")
{
$add_url=$_GET["add_url"];
$type_url=$_GET["type_url"];
$qq=$_GET["qq"];
$pw=$_GET["pw"];
$class_url=$_GET["class_url"];
$title_url=$_GET["title_url"];
if ($add_url==""||$pw=="")
{
echo "<script language='javascript'>alert('网址、密码不能为空！');history.go(-1)</script>";
}
else
{
axing_connect();
$sql="select * from base where url='$add_url'";
$result=mysql_query($sql);
if (mysql_num_rows($result)>0)
{
echo "<script language='javascript'>alert('这个网站已经存在，请勿重复添加！');history.go(-1)</script>";
mysql_close();
}
else
{
axing_connect();
$now=date("Y-m-d H:i:s");
$sql="insert into base(url,addtime,updatetime,able,type,cometime,red,bold,page,title,class_url,content,keywords,description,good,qq,pw,who,title_url) values('$add_url','$now','$now','no','$type_url','$now','no','no','index','请更新','$class_url','请更新','no','no','no','$qq','$pw','$add_url','$title_url')";
$result=mysql_query($sql);
$siteid=mysql_insert_id();
if (mysql_affected_rows()>0)
{
echo "<script language='javascript'>alert('添加成功！');location.href='user.php'</script>";
$_SESSION['user']=$qq;
mysql_close;
}
}
}
}
?>
<ul style="list-style-type:none; border:#cccccc 1px dashed; padding:5px; width:900px">
<li>欢迎加入</li>
<li>
网址：<input type="text" name="add_url" style="width:300px"/>
格式：http://www.axingweb.cn (网址将作为登录名称使用)</li>
<li>
名称：<input type="text" name="title_url"/>
8字以内（自定义的网站标题）</li>
<li>Q Q：<input type="text" name="qq"/> 可不填写</li>
<li>密码：<input type="password" name="pw"/></li>
<li>交换类型：<select name="type_url">
<option value="index">首页交换</option></select></li>
<li>网站分类：<select name="class_url">
	    <option value="文学艺术">文学艺术</option>
	    <option value="企业商务">企业商务</option>
	    <option value="彩票博彩">彩票博彩</option>
	    <option value="体育运动">体育运动</option>
	    <option value="影视宽带">影视宽带</option>
	    <option value="星相命理">星相命理</option>
	    <option value="娱乐八卦">娱乐八卦</option>
	    <option value="明星美女">明星美女</option>
	    <option value="爱情交友">爱情交友</option>
	    <option value="游戏网游">游戏网游</option>
	    <option value="博客论坛">博客论坛</option>
	    <option value="音乐 Mp3">音乐 Mp3</option>
	    <option value="个人网站">个人网站</option>
	    <option value="门户网站">门户网站</option>
	    <option value="网上购物">网上购物</option>
	    <option value="旅游票务">旅游票务</option>
	    <option value="电脑网络">电脑网络</option>
	    <option value="人才培训">人才培训</option>
	    <option value="娱乐社区">娱乐社区</option>
	    <option value="其它网站">其它网站</option>
</select></li>
<li><input type="button" value="提交" onclick="location.href='?action=addok&add_url='+add_url.value+'&type_url='+type_url.value+'&qq='+qq.value+'&pw='+pw.value+'&class_url='+class_url.value+'&title_url='+title_url.value"/>
</li>
</ul>